#pragma once
#include "olcPixelGameEngine.h"
#include "olcPGEX_PopupMenu.h"
#include "SHNFileDecryptor.h"
#include "OpenFileDialog.h"
#include "State.h"
#include "ItemEditor.h"
#include "olcUTIL_DataFile.h"

class FiestaOnlineEditor : public olc::PixelGameEngine
{
	popup::Menu menu;
	popup::Manager manager;
	Sprite*sprMenu;
	OpenFileDialog dialog;
	std::list<std::string>selectedPath;
	float lastPressedTime=0;
	State appState=LOADFOLDER;
	utils::datafile config;
	std::vector<Window*>windows;
	bool menuOpened=false;

public:
	FiestaOnlineEditor();

public:
	bool OnUserCreate() override;

	bool OnUserUpdate(float fElapsedTime) override;
	#undef CreateWindow //Stupid Windows
	void CreateWindow(Window*window);
};